##### ssl::context::use_certificate (2 of 2 overloads)

Use a certificate from a memory buffer.

    void use_certificate(
        const const_buffer & certificate,
        file_format format,
        asio::error_code & ec);

This function is used to load a certificate into the context from a buffer.

###### Parameters

certificate

  The buffer containing the certificate.

format

  The certificate format (ASN.1 or PEM).

ec

  Set to indicate what error occurred, if any.

###### Remarks

Calls `SSL_CTX_use_certificate` or SSL_CTX_use_certificate_ASN1.